## org.apache.lucene.index
Class IndexWriter.IndexReaderWarmer

    java.lang.Object
      org.apache.lucene.index.IndexWriter.IndexReaderWarmer

Enclosing class:
  IndexWriter

    public abstract static class IndexWriter.IndexReaderWarmer

extends java.lang.Object

If `IndexWriter.getReader()` has been called (ie, this writer is in near real-time mode), then after a merge completes, this class can be invoked to warm the reader on the newly merged segment, before the merge commits. This is not required for near real-time search, but will reduce search latency on opening a new near real-time reader after a merge completes.

NOTE: This API is experimental and might change in incompatible ways in the next release.

NOTE: warm is called before any deletes have been carried over to the merged segment.

Constructor Summary
`IndexWriter.IndexReaderWarmer()`

Method Summary
`abstract void` `warm(IndexReader reader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexWriter.IndexReaderWarmer

    public IndexWriter.IndexReaderWarmer()

Method Detail

### warm

    public abstract void warm(IndexReader reader)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.